Actions: R
How to set up each action of the 8 apps starting with R.
Apps starting with R. Add any of these from Integrations → n8n → Add tools → Browse apps; see Set up an action for each way a key is sent, and the catalog index for every app.
#RabbitMQ
- n8n node: RabbitMQ (
n8n-nodes-base.rabbitmq, version 1.2), 2 actions. - n8n performs it: runs on the n8n credential RabbitMQ (how to set it up).
- Veefore performs it: not available. RabbitMQ is not a web API (a database, queue, file transfer or local step), so only n8n can perform it.
RabbitMQ in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Send a Message to RabbitMQ | n8n performs it | — |
| Delete From Queue | n8n performs it | — |
#Raindrop
- n8n node: Raindrop (
n8n-nodes-base.raindrop, version 1), 13 actions. - n8n performs it: runs on the n8n credential Raindrop OAuth2 API (how to set it up).
- Veefore performs it: 13 of 13 actions, with OAuth 2.0 with a refresh token; Veefore renews access tokens at
https://api.raindrop.io/v1/oauth/access_token. - You enter: OAuth client ID, Client secret, Refresh token.
- API address:
https://api.raindrop.io/rest/v1. - Get the key: app.raindrop.io
Raindrop in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Create a bookmark | POST /raindrop |
link |
| Delete a bookmark | DELETE /raindrop/{bookmarkId} |
bookmarkId |
| Get a bookmark | GET /raindrop/{bookmarkId} |
bookmarkId |
| Get many bookmarks | GET /raindrops/{collectionId} |
collectionId |
| Update a bookmark | PUT /raindrop/{bookmarkId} |
bookmarkId |
| Create a collection | POST /collection |
title |
| Delete a collection | DELETE /collection/{collectionId} |
collectionId |
| Get a collection | GET /collection/{collectionId} |
collectionId |
| Get many collections | GET /collections |
type |
| Update a collection | PUT /collection/{collectionId} |
collectionId |
| Delete a tag | DELETE /tags |
tags |
| Get many tags | GET /tags |
— |
| Get a user | GET /user |
self |
- n8n node: Reddit (
n8n-nodes-base.reddit, version 1), 13 actions. - n8n performs it: runs on the n8n credential Reddit OAuth2 API (how to set it up).
- Veefore performs it: 13 of 13 actions, with OAuth 2.0 with a refresh token; Veefore renews access tokens at
https://www.reddit.com/api/v1/access_token(scopeidentity edit history mysubreddits read save submit). - You enter: OAuth client ID, Client secret, Refresh token.
- API address:
https://oauth.reddit.com. - Get the key: reddit.com
Reddit in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Create a post | POST /api/submit |
subreddit, title, text |
| Delete a post | POST /api/del |
postId |
| Get a post | GET /r/{subreddit}/comments/{postId}.json |
subreddit, postId |
| Get many posts | GET /r/{subreddit}.json |
subreddit |
| Search for a post | GET /r/{subreddit}/search.json |
subreddit, keyword |
| Create a comment in a post | POST /api/comment |
postId, commentText |
| Get many comments in a post | GET /r/{subreddit}/comments/{postId}.json |
subreddit, postId |
| Delete a comment from a post | POST /api/del |
commentId |
| Reply to a comment in a post | POST /api/comment |
commentId, replyText |
| Get a profile | GET /api/v1/me |
details |
| Get a subreddit | GET /r/{subreddit}/about/{content}.json |
content, subreddit |
| Get many subreddits | GET /api/trending_subreddits.json |
— |
| Get a user | GET /user/{username}/{details}.json |
username, details |
#Redis
- n8n node: Redis (
n8n-nodes-base.redis, version 1), 10 actions. - n8n performs it: runs on the n8n credential Redis (how to set it up).
- Veefore performs it: not available. Redis is not a web API (a database, queue, file transfer or local step), so only n8n can perform it.
Redis in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Delete a key from Redis | n8n performs it | key |
| Get the value of a key from Redis | n8n performs it | propertyName, key |
| Atomically increment a key by 1. Creates the key if it does not exist. | n8n performs it | key |
| Return generic information about the Redis instance | n8n performs it | — |
| Return all keys matching a pattern | n8n performs it | keyPattern |
| Return the length of a list | n8n performs it | list |
| Pop data from a redis list | n8n performs it | list |
| Publish message to redis channel | n8n performs it | channel, messageData |
| Push data to a redis list | n8n performs it | list, messageData |
| Set the value of a key in redis | n8n performs it | key |
#Resend
- Veefore performs it: 3 actions from Resend's OpenAPI document, with a bearer token, sent as
Authorization: Bearer <token>. - You enter: Token.
- Get the key: resend.com
Resend API (OpenAPI)
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Send an email | POST https://api.resend.com/emails |
from, to, subject, html or text or template |
| Get a sent email | GET https://api.resend.com/emails/{email_id} |
email_id |
| Create a contact | POST https://api.resend.com/contacts |
email |
The sender (from) must be on a domain verified in Resend.
#Respond to Webhook
- n8n node: Respond to Webhook (
n8n-nodes-base.respondToWebhook, version 1.5), 1 action. - n8n performs it: runs on the n8n credential JWT Auth (how to set it up).
- Veefore performs it: not available. Respond to Webhook is not a web API (a database, queue, file transfer or local step), so only n8n can perform it.
- Get the key: auth0.com
Respond to Webhook in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Respond to Webhook | n8n performs it | — |
#RocketChat
- n8n node: RocketChat (
n8n-nodes-base.rocketchat, version 1), 4 actions. - n8n performs it: runs on the n8n credential Rocket API (how to set it up).
- Veefore performs it: 4 of 4 actions, with the key in a header, as
X-Auth-Token: <key>. - You enter: API key, User ID.
- Also sent: User ID in the
X-User-Idheader. - API address:
https://{domain}/api/v1. - Get the key: docs.rocket.chat
RocketChat in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Post a message | POST /postMessage |
channel, domain |
| Get Subscriptions | GET /get |
domain |
| Mark As Read | POST /read |
roomId, domain |
| Get Messages | GET /messages |
roomId, domain |
#Rundeck
- n8n node: Rundeck (
n8n-nodes-base.rundeck, version 1.1), 2 actions. - n8n performs it: runs on the n8n credential Rundeck API (how to set it up).
- Veefore performs it: 2 of 2 actions, with the key in a header, as
X-Rundeck-Auth-Token: <key>. - You enter: API key.
- API address:
https://{host}/api/14.
Rundeck in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Execute a job | POST /job/{jobid}/run |
jobid, host |
| Get metadata of a job | GET https://{host}/api/18/job/{jobid}/info |
jobid, host |